> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete One Shipment Line Item

> Delete One Shipment Line Item***
The GraphQl query for this endpoint is:
``` graphql
mutation DeleteOneShipmentLineItem ($id: String!) {
  deleteShipmentLineItem: deleteShipmentLineItemsByPk(id: $id) {
    id
  }
}

```



## OpenAPI

````yaml /api-reference/openapi.json delete /api/rest/shipment_line_items/{id}
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.28.3
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/shipment_line_items/{id}:
    delete:
      summary: Delete One Shipment Line Item
      description: |-
        Delete One Shipment Line Item***
        The GraphQl query for this endpoint is:
        ``` graphql
        mutation DeleteOneShipmentLineItem ($id: String!) {
          deleteShipmentLineItem: deleteShipmentLineItemsByPk(id: $id) {
            id
          }
        }

        ```
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - description: _"id" is required (enter it either in parameters or request body)_
          in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              properties:
                id:
                  nullable: false
                  title: String
                  type: string
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  deleteShipmentLineItem:
                    description: Shipment Line Items
                    nullable: true
                    properties:
                      id:
                        nullable: false
                        title: String
                        type: string
                    title: ShipmentLineItems
                    type: object
          description: Responses for DELETE /api/rest/shipment_line_items/{id}

````